Skip to main content
POST
Get audit log entry counts

Authorizations

Authorization
string
header
required

Query Parameters

before
integer<int64>

A timestamp filter, expressed as a Unix epoch time in milliseconds. Defaults to now.

after
integer<int64>
required

A timestamp filter, expressed as a Unix epoch time in milliseconds. Required.

buckets
integer<int64>

Number of time buckets to divide the range into. Default 50, max 500.

Body

application/json
effect
enum<string>
required

Whether this statement should allow or deny actions on the resources.

Available options:
allow,
deny
Example:

"allow"

resources
string[]

Resource specifier strings

Example:
notResources
string[]

Targeted resources are the resources NOT in this list. The resources field must be empty to use this field.

actions
string[]

Actions to perform on a resource

Example:
notActions
string[]

Targeted actions are the actions NOT in this list. The actions field must be empty to use this field.

Response

Audit log entry counts response

buckets
object[]
required
totalCount
integer<int64>
required
bucketIntervalMs
integer<int64>
required